Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_Mcast_EH::Observer Class Reference

Observes changes in the EC consumer subscriptions and notifies TAO_ECG_Mcast_EH when there are changes. More...

Inheritance diagram for TAO_ECG_Mcast_EH::Observer:

[legend]
Collaboration diagram for TAO_ECG_Mcast_EH::Observer:

[legend]
List of all members.

## [NOHEADER]
virtual void | update_consumer (const RtecEventChannelAdmin::ConsumerQOS &sub ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | update_supplier (const RtecEventChannelAdmin::SupplierQOS &pub ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
TAO_ECG_Mcast_EH * | eh_
| Handler we notify of subscriptions changes.
## Public Methods
| Observer (TAO_ECG_Mcast_EH *eh)
void | shutdown (void)

## Detailed Description

Observes changes in the EC consumer subscriptions and notifies TAO_ECG_Mcast_EH when there are changes.

## Constructor & Destructor Documentation

TAO_ECG_Mcast_EH::Observer::Observer | ( | TAO_ECG_Mcast_EH * | eh | ) |

| Constructor. Changes in the EC subscriptions will be reported to the eh.

## Member Function Documentation

void TAO_ECG_Mcast_EH::Observer::shutdown | ( | void |  | ) |

| Shut down the observer: disconnect from EC and deactivate from POA.

void TAO_ECG_Mcast_EH::Observer::update_consumer | ( | const RtecEventChannelAdmin::ConsumerQOS &sub | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

virtual void TAO_ECG_Mcast_EH::Observer::update_supplier | ( | const RtecEventChannelAdmin::SupplierQOS &pub | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

TAO_ECG_Mcast_EH* TAO_ECG_Mcast_EH::Observer::eh_`[private]`

| Handler we notify of subscriptions changes.

The documentation for this class was generated from the following files:

- ECG_Mcast_EH.h
- ECG_Mcast_EH.cpp